Overview

FastStone Image Viewer is a FREE image browser, viewer and editor that supports all major graphic formats, including:

  • BMP
  • JPEG
  • JPEG 2000
  • GIF
  • PNG
  • PCX
  • TIFF
  • WMF
  • ICO
  • TGA

Its intuitive layout and commands make it easy to use for everyone, from the beginner to the professional, and will enable you to become an expert in no time at all. It provides enough power and flexibility to meet your most demanding needs, even if your collection grows by thousands of images daily.

A built-in crystal-clear magnifier presents every detail of your images at the touch of a button.

The integrated powerful Batch Mode image processor easily allows you to perform any of the following actions on a selected group of images: convert image format, rename, resize/resample, rotate, crop, adjust color/ brightness/ sharpness, add text and/or a watermark.

Other features include:

  • Full Screen image viewer with select-zoom support
  • Simple and effective red-eye removal
  • Convenient side-by-side image comparison for up to 4 images
  • Slideshow with transition effects and background music
  • Image processing: resize/resample, crop, rotate, sharpen/blur, add shadows/frames, reduce colors, etc.
  • And many more...


Features

  • Support of common image formats:
    • Loading of BMP, CRW, CUR, GIF, ICO, JPEG, JPEG2000, NEF, PCX, PNG, PSD, PXM, TGA, TIFF, WBMP, WMF
    • Saving to BMP, DCX, GIF, JPEG, JPEG2000, PCX, PNG, PXM, TGA, TIFF
  • Support of Canon and Nikon RAW formats (CRW, NEF)
  • Full Screen viewer with select-zoom support and slide-out menu panels
  • Crystal-clear and customizable image magnifier
  • Resizing/resampling, rotating/flipping, cropping, sharpening, color adjusting, etc tools
  • 11 resampling algorithms to choose from when resizing
  • Special effects: drop shadow, frame marks, edge detection, negative, bump map, lens, morph, waves
  • Remove red-eye effect
  • Best fit/actual size image display support
  • Histogram display
  • Compare images side-by-side (up to 4 at a time)
  • Image EXIF metadata support (plus comment editing for JPEG)
  • Convert/rename images in Batch Mode
  • Slideshow with 150+ transition effects plus background music
  • Multi-level Undo/Redo
  • Mouse wheel support
  • Image Copy To/Move To Folder support
  • Email selected images with reduced size
  • Print selected images
  • Set wallpaper
  • Acquire images from a scanner
  • Screen capture capability
  • Select External Programs to run on demand
  • Supports multiple program skins
  • And much more...


System Requirements

  • All Windows platforms
  • 128MB RAM


Viewing Images

FastStone Image Viewer is a powerful image viewer application that enables users to:

  • View images in a variety of ways, including Full Screen, select-zoom and customizable magnifier
  • Process images (e.g., remove red-eye, resize/resample, crop, rotate/flip, color adjust, etc)
  • Convert and/or rename images in batches
  • Save images in various popular graphic formats
  • Create dynamic slideshows, employing 150+ slide transition effects and background music

Mouse & Keyboard Use:

  • Double click on a thumbnail image or single click on this icon [image] to switch to a Full Screen view of the image
  • In Full Screen, move your mouse pointer to the bottom border of the screen where a control bar (see next figure) will pop up to provide fast access to major program functions. (Note: Moving your mouse pointer onto this control bar will enable the mouse wheel to be used for zooming in/out on the image)

  • In Full Screen, move your mouse pointer to the right border of the screen where an image properties window with EXIF metadata will pop up
  • In Full Screen, move your mouse pointer to the top border of the screen where a thumbnail browser window will pop up to provide fast access to other images in the same folder and other program commands
  • In Full Screen, move your mouse pointer to the left border of the screen where a panel will pop up to provide fast access to file and image editing functions
  • In Full Screen, move your mouse pointer to the right-bottom corner of the screen where the Windows Taskbar will pop up to provide fast switching to any other programs being run (Windows XP only)
  • When the mouse cursor becomes a magnifier shape [image], it means the displayed image has been formatted to fit within the current available window or screen area. Now you can press and hold the left mouse button and the image will be viewed in a magnifier. With the left mouse button being held down, moving the mouse around will move the magnifier across the image. The Magnifier zoom ratio and Magnifier size [image] (See Magnifier tab in the Settings) determine the magnification level of the image within the magnifier and the size of the magnifier area
  • When the mouse cursor becomes a hand shape [image], it means the displayed image is larger than the current available window or screen area. Now you can press and hold the left mouse button and move the mouse around to pan/scroll the image within the current window or screen area
  • When Normal mode [image] is selected, pressing and holding the Ctrl key will change the mouse cursor to a cross shape [image]. Now you can use the mouse to SELECT and ZOOM (select a rectangular area of the image by using the left mouse button to click and drag, then release the button to zoom in on that area of the image)
  • When Rectangle, Circle or Freehand select mode ( [image], [image] or [image] respectively) is selected, pressing and holding the Ctrl key will change the mouse cursor to a cross shape [image]. Now you can use the mouse to define a selection area. By clicking your right mouse button with the mouse cursor within the selection area, a pop up menu will appear that allows you to zoom, copy, cut, crop or delete the selected area or to even save the selection into a file
  • Scrolling your mouse wheel will display the next or previous image
  • Holding the Ctrl key, the mouse cursor will become a cross shape [image] - scroll your mouse wheel to zoom in or zoom out on the image
  • Holding the Shift key, the mouse cursor will become a circle shape [image] - click the left mouse button to zoom in or the right mouse button to zoom out on the image
  • Press Spacebar, Right arrow or PgDn key to go to the next image
  • Press Backspace, Left arrow or PgUp key to go to the previous image
  • When the displayed image is larger than the current available window or screen area, press Arrow (Up, Down, Left, Right) keys to pan/scroll the image within the current window or screen area
  • Press Home key to go to the first image
  • Press End key to go to the last image
  • Press 1,2,3,... or 0 key to zoom the image to 100%, 200%, 300%,...1000%
  • Press A or / key to display the image in actual size
  • Press B or * key to display the image in best fit within the current window or screen area
  • Press + key to zoom in on the image
  • Press - key to zoom out on the image
  • Press C key to start the copy to folder function on the current image file
  • Press M key to start the move to folder function on the current image file
  • Press D key to pop up the JPEG Comment window to edit the image description/comment (for JPEG images only)
  • Press E key to edit the image with the first External Program (user defined)
  • Press I key to display a window with the image properties
  • Press S key to pop up the Slideshow Options window to configure a slideshow

*** Note: The original image file is overwritten with the following rotate/flip commands: ***

  • Press L or < key to perform a rotate left and save action on the image (lossless for JPEG)
  • Press R or > key to perform a rotate right and save action on the image (lossless for JPEG)
  • Press H key to perform a flip horizontally and save action on the image (lossless for JPEG)
  • Press V key to perform a flip vertically and save action on the image (lossless for JPEG)
  • Press W key to open Windows Explorer at the current directory
  • Press X key to pop up the Crop Board window to perform cropping on the image
  • Press Ctrl+R key combination to pop up the Resize/Resample window to resize the image
  • Press Ctrl+H key combination to pop up the Histogram window for the image
  • Press Ctrl+Z key combination to undo the last change made to the image (multi-level undo)
  • Press Ctrl+Y key combination to redo the last change made to the image (multi-level redo)
  • Press Enter or F key to switch between Full Screen/Browser View or Full Screen/Windowed View
  • Press mouse wheel button to switch between Full Screen and Browser View
  • Press Esc key to exit from Full Screen or to exit the program when in Browser or Windowed View
  • For multi page TIFF / GIF images:
    • Press Ctrl+Right arrow key combination for the next frame
    • Press Ctrl+Left arrow key combination for the previous frame
    • Press Ctrl+PgDn key combination for the next frame
    • Press Ctrl+PgUp key combination for the previous frame
    • Press Shift + scroll mouse wheel for the next/previous frame
  • To sort images by Filename, Type, Dimension, Size or Date in Browser View, change Browser Style to Report View and left click on the appropriate column header


Batch Mode

Batch Convert / Rename

FastStone Image Viewer includes an integrated powerful Batch Mode image processor that enables users to perform any of the following actions on a selected group of images: convert image format, rename, resize, rotate, crop, change color depth, adjust color/ brightness/ sharpness, add text and/or a watermark. This Batch Mode is easy to use and supports file drag & drop.

To use this Batch Mode, go to the Tools menu and select Batch Convert/Rename.

Batch Image Convert (including resize, rotate, crop, color depth ...)

On the Batch Convert tab, you can convert images between JPEG, BMP, GIF, PNG, JPEG2000 and TIFF formats and apply advanced options including resize, crop, color effects, add text, add watermark, etc. You can also specify the output image names with sequential numbering, parent folder name and/or file date time.

  1. Use Add or Add all button or drag and drop using the mouse to fill the Input List with images and folders you want to convert
  2. Select an Output format: JPEG, BMP, GIF, PNG, JPEG2000 or TIFF
  3. Click the Settings button if you want to change parameters for the specified image format
  4. Specify the Output folder
  5. If you want the output folder structure to be the same as that in the Input List, check Use folder structure in output folder. Otherwise all files in the Input List will be generated in the output folder without a folder structure
  6. If you want to apply Resize, Crop, ... Adjustments to images, check Use advanced options and click the Advanced Options button to specify the changes you wish to make
  7. If you want to rename the output images, check Rename and specify the renaming format. Uncheck this option to preserve the original image names
  8. Check Ask before overwrite to be prompted for confirmation if the output image file already exists
  9. Check Keep original date/time attributes to preserve date time stamps of the original files
  10. Click the Start button to start the conversion process.

Batch Image Rename

On the Batch Rename tab, you can rename images with sequential numbering, parent folder name and/or file date time. All renaming will be done to the original image files.

  1. Use Add or Add all button or drag and drop with the mouse to fill the Input List with images and folders of images you want to rename
  2. Specify the renaming format
  3. Click the Start button to start the renaming process.


License Agreement

Please read the following terms and conditions before using this software. Installing and using this software indicates you accept the terms of this license agreement and warranty.

  • Disclaimer of Warranty

    FastStone Image Viewer (this software) is provided "as-is" and without warranty of any kind, express, implied or otherwise, including without limitation, any warranty of merchantability or fitness for a particular purpose.

    In no event shall the author of this software be held liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.
  • License

    FastStone Image Viewer is provided as freeware for private (non-commercial) or educational (including non-profit organization) use. In these cases, you are granted the right to use and to make an unlimited number of copies of this software.

    For commercial use, it is necessary to register. Registering is an important source of support in the development of future versions. Click     here to find out how to register for commercial use.
  • Restrictions on Use

    This software must not be decompiled, disassembled, reverse engineered or otherwise modified.

Copyright (C) 2004-2005 FastStone Soft. All rights reserved.


Contact Us

FastStone Soft specializes in Media Processing Research. We are developing free programs to share our ideas with people, hoping that these programs will be useful to people worldwide.

Our programs contain neither adware nor spyware - guaranteed!

For the latest version of this program, and other free programs, please visit www.FastStone.org .

As the user of these programs, you are our most important critic and commentator. We value your opinion and want to know what we are doing right, what we could do better, what features you would like us to add and any other words of wisdom you are willing to share. Please feel free to contact us at support@faststone.org .

Thank you!